## nepomukcontroller 0.2

=== CMakeLists.txt ===
project(nepomukcontroller)

# We need KDE 4.6 since 4.5 has the controller integrated into the strigi service
set(KDE_MIN_VERSION "4.5.80")  # for the < 4.2 macro
find_package(KDE4 4.5.80 REQUIRED)
find_package(Nepomuk REQUIRED)

include(KDE4Defaults)
include(SopranoAddOntology)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${SOPRANO_INCLUDE_DIR}
  ${NEPOMUK_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BUILD_DIR}
  )

set(controller_SRCS
  main.cpp
  systray.cpp
  )

qt4_add_dbus_interface(controller_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.nepomuk.Strigi.xml strigiserviceinterface)
qt4_add_dbus_interface(controller_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.nepomuk.ServiceControl.xml servicecontrol)

kde4_add_executable(nepomukcontroller ${controller_SRCS})

target_link_libraries(nepomukcontroller
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS}
  ${NEPOMUK_LIBRARIES}
  ${SOPRANO_LIBRARIES}
  )

install(
  FILES nepomukcontroller.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR})

install(
  TARGETS nepomukcontroller
  ${INSTALL_TARGETS_DEFAULT_ARGS})
# -----------------------------

=== debian/changelog ===
nepomukcontroller (0.2-0ubuntu2) natty; urgency=low

  * Add build-dep on pkg-kde-tools, shared-desktop-ontologies, kdebase-runtime-data

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Feb 2011 17:22:59 +0000

nepomukcontroller (0.2-0ubuntu1) natty; urgency=low

  * Initial Ubuntu upload
  * In debian/rules move .desktop file to autostart directory, as
    recommended by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Feb 2011 12:38:48 +0000

nepomukcontroller (0.2-1) unstable; urgency=low

  * Initial release (Closes: #611309)

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Fri, 28 Jan 2011 12:24:37 -0300

=== debian/control ===
Source: nepomukcontroller
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake, pkg-kde-tools, kdelibs5-dev (>= 4.5.80), 
               shared-desktop-ontologies, kdebase-runtime-data
Standards-Version: 3.9.1
Homepage: http://kde-apps.org/content/show.php/Nepomukcontroller?content=137088
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/nepomukcontroller.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/nepomukcontroller.git

Package: nepomukcontroller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systray applet that allows to suspend and resume Nepomuk
 Nepomukcontroller is a small systray applet that allows you to suspend and 
 resume the Nepomuk file indexer.
 .
 The systray was removed from KDE 4.6 to be ported to a stand-alone app 
 which was not finished before the feature freeze. Thus, this applet will be 
 merged back into kdebase for KDE 4.7. In the meantime you can use it from 
 here.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=kde

override_dh_install:
	dh_install
	mkdir -p debian/nepomukcontroller/usr/share/autostart/
	mv debian/nepomukcontroller/usr/share/applications/kde4/nepomukcontroller.desktop debian/nepomukcontroller/usr/share/autostart/nepomukcontroller.desktop
	rm -r debian/nepomukcontroller/usr/share/applications/
